<?php
/**
 * @package legacyRender
 * @version $Id: index.php,v 1.1.2.3 2006/08/04 14:34:38 minahito Exp $
 */

require_once "../../../mainfile.php";
require_once XOOPS_ROOT_PATH . "/header.php";
require_once XOOPS_MODULE_PATH . "/legacyRender/class/ActionFrame.class.php";

$root =& XCube_Root::getSingleton();

$actionName = isset($_GET['action']) ? trim($_GET['action']) : "TplsetList";

$moduleRunner =& new LegacyRender_ActionFrame(true);
$moduleRunner->setActionName($actionName);

$root->mController->setActionStrategy($moduleRunner);

$root->mController->executeAction();

require_once XOOPS_ROOT_PATH . "/footer.php";

?>
